diff -uwr source/scripts/MuzzleFlashClass.h 4.0/source/scripts/MuzzleFlashClass.h
--- source/scripts/MuzzleFlashClass.h	2011-05-04 16:22:08.000000000 +0800
+++ 4.0/source/scripts/MuzzleFlashClass.h	2011-10-11 21:49:55.030273400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MUZZLEFLASHCLASS_H
 #define TT_INCLUDE__MUZZLEFLASHCLASS_H
 
diff -uwr source/scripts/MuzzleRecoilClass.h 4.0/source/scripts/MuzzleRecoilClass.h
--- source/scripts/MuzzleRecoilClass.h	2010-04-10 14:55:26.000000000 +0800
+++ 4.0/source/scripts/MuzzleRecoilClass.h	2011-10-11 21:49:53.330078100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MUZZLERECOILCLASS_H
 #define TT_INCLUDE__MUZZLERECOILCLASS_H
 
diff -uwr source/scripts/NetworkObjectClass.h 4.0/source/scripts/NetworkObjectClass.h
--- source/scripts/NetworkObjectClass.h	2011-08-30 17:18:56.000000000 +0800
+++ 4.0/source/scripts/NetworkObjectClass.h	2011-10-11 21:49:47.708007800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_NETWORKOBJECTCLASS_H
 #define TT_INCLUDE_NETWORKOBJECTCLASS_H
 
diff -uwr source/scripts/Observee.h 4.0/source/scripts/Observee.h
--- source/scripts/Observee.h	2011-08-30 11:13:36.000000000 +0800
+++ 4.0/source/scripts/Observee.h	2011-10-11 21:49:25.791015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "Iterator.h"
diff -uwr source/scripts/OffenseObjectClass.h 4.0/source/scripts/OffenseObjectClass.h
--- source/scripts/OffenseObjectClass.h	2009-08-03 14:36:12.000000000 +0800
+++ 4.0/source/scripts/OffenseObjectClass.h	2011-10-11 21:49:23.948242100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_OFFENSEOBJECTCLASS_H
 #define TT_INCLUDE_OFFENSEOBJECTCLASS_H
 class ArmedGameObj;
diff -uwr source/scripts/Parameter.h 4.0/source/scripts/Parameter.h
--- source/scripts/Parameter.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Parameter.h	2011-10-11 21:49:22.120117100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PARAMETER_H
 #define TT_INCLUDE_PARAMETER_H
 #include "Engine_String.h"
diff -uwr source/scripts/Persist.h 4.0/source/scripts/Persist.h
--- source/scripts/Persist.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/Persist.h	2011-10-11 21:49:20.333007800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PERSIST_H
 #define TT_INCLUDE_PERSIST_H
 #include "PostLoadableClass.h"
diff -uwr source/scripts/PersistFactoryClass.cpp 4.0/source/scripts/PersistFactoryClass.cpp
--- source/scripts/PersistFactoryClass.cpp	2011-05-24 09:10:42.000000000 +0800
+++ 4.0/source/scripts/PersistFactoryClass.cpp	2011-10-11 23:05:35.705078100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "PersistFactoryClass.h"
diff -uwr source/scripts/PersistFactoryClass.h 4.0/source/scripts/PersistFactoryClass.h
--- source/scripts/PersistFactoryClass.h	2010-03-24 10:48:56.000000000 +0800
+++ 4.0/source/scripts/PersistFactoryClass.h	2011-10-11 21:49:18.504882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef __PERSISTFACTORYCLASS_H__
 #define __PERSISTFACTORYCLASS_H__
 #include "scripts.h"
diff -uwr source/scripts/PhysClass.h 4.0/source/scripts/PhysClass.h
--- source/scripts/PhysClass.h	2011-05-24 11:16:14.000000000 +0800
+++ 4.0/source/scripts/PhysClass.h	2011-10-11 21:49:16.171875000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__PHYSCLASS_H
 #define TT_INCLUDE__PHYSCLASS_H
 
diff -uwr source/scripts/PhysControllerClass.h 4.0/source/scripts/PhysControllerClass.h
--- source/scripts/PhysControllerClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/PhysControllerClass.h	2011-10-11 21:49:11.952148400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__PHYSCONTROLLERCLASS_H
 #define TT_INCLUDE__PHYSCONTROLLERCLASS_H
 
diff -uwr source/scripts/PhysDefClass.h 4.0/source/scripts/PhysDefClass.h
--- source/scripts/PhysDefClass.h	2011-05-24 11:16:14.000000000 +0800
+++ 4.0/source/scripts/PhysDefClass.h	2011-10-11 21:49:10.120117100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__PHYSDEFCLASS_H
 #define TT_INCLUDE__PHYSDEFCLASS_H
 
diff -uwr source/scripts/PhysObserverClass.h 4.0/source/scripts/PhysObserverClass.h
--- source/scripts/PhysObserverClass.h	2009-11-09 18:47:32.000000000 +0800
+++ 4.0/source/scripts/PhysObserverClass.h	2011-10-11 21:48:53.853515600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PHYSOBSERVERCLASS_H
 #define TT_INCLUDE_PHYSOBSERVERCLASS_H
 class CollisionEventClass;
diff -uwr source/scripts/PhysicalGameObj.h 4.0/source/scripts/PhysicalGameObj.h
--- source/scripts/PhysicalGameObj.h	2010-06-14 15:32:48.000000000 +0800
+++ 4.0/source/scripts/PhysicalGameObj.h	2011-10-11 21:49:03.425781200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PHYSICALGAMEOBJ_H
 #define TT_INCLUDE_PHYSICALGAMEOBJ_H
 #include "DamageableGameObj.h"
diff -uwr source/scripts/PhysicalGameObjDef.h 4.0/source/scripts/PhysicalGameObjDef.h
--- source/scripts/PhysicalGameObjDef.h	2009-12-24 19:48:14.000000000 +0800
+++ 4.0/source/scripts/PhysicalGameObjDef.h	2011-10-11 21:49:01.494140600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PHYSICALGAMEOBJDEF_H
 #define TT_INCLUDE_PHYSICALGAMEOBJDEF_H
 #include "DamageableGameObjDef.h"
diff -uwr source/scripts/PhysicsSceneClass.h 4.0/source/scripts/PhysicsSceneClass.h
--- source/scripts/PhysicsSceneClass.h	2011-08-09 11:12:30.000000000 +0800
+++ 4.0/source/scripts/PhysicsSceneClass.h	2011-10-11 21:48:58.233398400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 
 #ifndef TT_INCLUDE__PHYSICSSCENECLASS_H
 #define TT_INCLUDE__PHYSICSSCENECLASS_H
diff -uwr source/scripts/PlayerDataClass.h 4.0/source/scripts/PlayerDataClass.h
--- source/scripts/PlayerDataClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/PlayerDataClass.h	2011-10-11 21:48:49.310546800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PLAYERDATACLASS_H
 #define TT_INCLUDE_PLAYERDATACLASS_H
 #include "DataSafe.h"
diff -uwr source/scripts/PointerRemapClass.cpp 4.0/source/scripts/PointerRemapClass.cpp
--- source/scripts/PointerRemapClass.cpp	2009-12-23 16:21:38.000000000 +0800
+++ 4.0/source/scripts/PointerRemapClass.cpp	2011-10-11 23:06:01.376953100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "PointerRemapClass.h"
 
diff -uwr source/scripts/PointerRemapClass.h 4.0/source/scripts/PointerRemapClass.h
--- source/scripts/PointerRemapClass.h	2009-12-23 15:43:00.000000000 +0800
+++ 4.0/source/scripts/PointerRemapClass.h	2011-10-11 21:48:45.713867100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__POINTERREMAPCLASS_H
 #define TT_INCLUDE__POINTERREMAPCLASS_H
 #include "engine_vector.h"
diff -uwr source/scripts/PostLoadableClass.h 4.0/source/scripts/PostLoadableClass.h
--- source/scripts/PostLoadableClass.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/PostLoadableClass.h	2011-10-11 21:48:43.774414000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__POSTLOADABLECLASS_H
 #define TT_INCLUDE__POSTLOADABLECLASS_H
 
diff -uwr source/scripts/PowerPlantGameObj.h 4.0/source/scripts/PowerPlantGameObj.h
--- source/scripts/PowerPlantGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/PowerPlantGameObj.h	2011-10-11 21:48:42.026367100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_POWERPLANTGAMEOBJ_H
 #define TT_INCLUDE_POWERPLANTGAMEOBJ_H
 #include "BuildingGameObj.h"
diff -uwr source/scripts/PowerPlantGameObjDef.h 4.0/source/scripts/PowerPlantGameObjDef.h
--- source/scripts/PowerPlantGameObjDef.h	2009-12-24 19:56:00.000000000 +0800
+++ 4.0/source/scripts/PowerPlantGameObjDef.h	2011-10-11 21:48:40.079101500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_POWERPLANTGAMEOBJDEF_H
 #define TT_INCLUDE_POWERPLANTGAMEOBJDEF_H
 #include "BuildingGameObjDef.h"
diff -uwr source/scripts/PowerupGameObj.h 4.0/source/scripts/PowerupGameObj.h
--- source/scripts/PowerupGameObj.h	2010-05-31 12:47:34.000000000 +0800
+++ 4.0/source/scripts/PowerupGameObj.h	2011-10-11 21:48:38.016601500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_POWERUPGAMEOBJ_H
 #define TT_INCLUDE_POWERUPGAMEOBJ_H
 #include "SimpleGameObj.h"
diff -uwr source/scripts/PowerupGameObjDef.h 4.0/source/scripts/PowerupGameObjDef.h
--- source/scripts/PowerupGameObjDef.h	2011-05-22 02:36:54.000000000 +0800
+++ 4.0/source/scripts/PowerupGameObjDef.h	2011-10-11 21:48:36.038085900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_POWERUPGAMEOBJDEF_H
 #define TT_INCLUDE_POWERUPGAMEOBJDEF_H
 #include "SimpleGameObjDef.h"
diff -uwr source/scripts/ProjectorManagerClass.h 4.0/source/scripts/ProjectorManagerClass.h
--- source/scripts/ProjectorManagerClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/ProjectorManagerClass.h	2011-10-11 21:48:33.974609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__PROJECTORMANAGERCLASS_H
 #define TT_INCLUDE__PROJECTORMANAGERCLASS_H
 
diff -uwr source/scripts/PurchaseSettingsDefClass.h 4.0/source/scripts/PurchaseSettingsDefClass.h
--- source/scripts/PurchaseSettingsDefClass.h	2011-05-24 10:29:16.000000000 +0800
+++ 4.0/source/scripts/PurchaseSettingsDefClass.h	2011-10-25 15:39:17.330078100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_PURCHASESETTINGSDEFCLASS_H
 #define TT_INCLUDE_PURCHASESETTINGSDEFCLASS_H
 #include "Definition.h"
@@ -115,7 +126,7 @@
 	{
 		return PageHidden;
 	}
-	bool Set_Page_Hidden(bool b)
+	void Set_Page_Hidden(bool b)
 	{
 		PageHidden = b;
 		Set_Object_Dirty_Bit(BIT_OCCASIONAL,true);
@@ -124,7 +135,7 @@
 	{
 		return PageDisabled;
 	}
-	bool Set_Page_Disabled(bool b)
+	void Set_Page_Disabled(bool b)
 	{
 		PageDisabled = b;
 		Set_Object_Dirty_Bit(BIT_OCCASIONAL,true);
@@ -133,7 +144,7 @@
 	{
 		return PageBusy;
 	}
-	bool Set_Page_Busy(bool b)
+	void Set_Page_Busy(bool b)
 	{
 		PageBusy = b;
 		Set_Object_Dirty_Bit(BIT_OCCASIONAL,true);
diff -uwr source/scripts/Quaternion.h 4.0/source/scripts/Quaternion.h
--- source/scripts/Quaternion.h	2010-06-05 22:28:24.000000000 +0800
+++ 4.0/source/scripts/Quaternion.h	2011-10-11 21:48:26.444335900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__QUATERNION_H
 #define TT_INCLUDE__QUATERNION_H
 
diff -uwr source/scripts/Random2Class.h 4.0/source/scripts/Random2Class.h
--- source/scripts/Random2Class.h	2011-04-03 22:21:34.000000000 +0800
+++ 4.0/source/scripts/Random2Class.h	2011-10-11 21:48:09.370117100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__RANDOM2CLASS_H
 #define TT_INCLUDE__RANDOM2CLASS_H
 #define	ARRAY_SIZE(x)		int(sizeof(x)/sizeof(x[0]))
diff -uwr source/scripts/RawFileClass.h 4.0/source/scripts/RawFileClass.h
--- source/scripts/RawFileClass.h	2010-05-22 19:45:04.000000000 +0800
+++ 4.0/source/scripts/RawFileClass.h	2011-10-11 21:48:07.639648400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_RAWFILECLASS_H
 #define TT_INCLUDE_RAWFILECLASS_H
 
diff -uwr source/scripts/ReferenceableClass.h 4.0/source/scripts/ReferenceableClass.h
--- source/scripts/ReferenceableClass.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/ReferenceableClass.h	2011-10-11 21:47:56.013671800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_REFERENCABLECLASS_H
 #define TT_INCLUDE_REFERENCABLECLASS_H
 #include "engine_io.h"
diff -uwr source/scripts/ReferencerClass.cpp 4.0/source/scripts/ReferencerClass.cpp
--- source/scripts/ReferencerClass.cpp	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/ReferencerClass.cpp	2011-10-11 23:06:32.150390600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "ScriptableGameObj.h"
 
